Android SDK on Trisquel 8 is incomplete

Project:Trisquel
Version:8.0
Component:Packages
Category:bug report
Priority:normal
Assigned:Unassigned
Status:active
Description

Hello Ruben,

There is at least one missing package in Trisquel 8 for Android development:

https://blog.replicant.us/2017/04/there-wont-be-a-replicant-6-0-sdk-because-there-is-already-something-better/#comment-2447016

It is currently not possible to set up Android Developer Tools in Eclipse with Trisquel 8 due to the missing package (and possibly other issues too).

I tried building the package from source, but there was a build dependency that is not recent enough in Trisquel: gradle-debian-helper (>= 1.4~). What about adding these packages to the backports repo?

Thanks, : )
Andrew

Sat, 12/01/2018 - 22:10

Correction: the Android SDK in Debian appears to be incomplete as well. It's missing the emulator, so the ADT Eclipse plugin cannot be used with it.